namespace Tests.Pages.BuildCalculator;

public class TimelineComponent
{
    private readonly Website _website;

    public TimelineComponent(Website website)
    {
        _website = website;
    }

    public ILocator Container =>
        _website.Locator(".calculatorGrid > div").Filter(new LocatorFilterOptions { HasText = "Timeline highlights" });

    public async Task<bool> ContainsEntityAsync(string name)
    {
        var text = await Container.TextContentAsync() ?? "";
        return text.Contains(name);
    }
}